import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        [x: string]: any;
        size?: string | undefined;
        role?: string | undefined;
        variation?: "black" | "color" | "icon" | "white" | undefined;
        ariaLabel?: string | undefined;
    };
    events: {
        click: MouseEvent;
        keydown: KeyboardEvent;
        keyup: KeyboardEvent;
        focus: FocusEvent;
        blur: FocusEvent;
        mouseenter: MouseEvent;
        mouseleave: MouseEvent;
        mouseover: MouseEvent;
        mouseout: MouseEvent;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type InsProps = typeof __propDef.props;
export type InsEvents = typeof __propDef.events;
export type InsSlots = typeof __propDef.slots;
/**
 * [Go to Document](https://svelte-cryptocurrency-icons.codewithshin.com/)
 * ## Props
 * @prop size = "32";
 * @prop role = 'img';
 * @prop variation: "black" | "color" | "icon" | "white" = "color";
 * ## Event
 * - on:click
 * - on:keydown
 * - on:keyup
 * - on:focus
 * - on:blur
 * - on:mouseenter
 * - on:mouseleave
 * - on:mouseover
 * - on:mouseout
 */
export default class Ins extends SvelteComponentTyped<InsProps, InsEvents, InsSlots> {
}
export {};
